Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.util.xml
Class XMLAcciones

    java.lang.Object
      eia.util.xml.XMLTools
          eia.util.xml.XMLAcciones

    public class XMLAcciones

extends XMLTools

Clase que implementa el manejo de los ficheros XML con la información de un árbol de acciones de realización.

Constructor Summary
`XMLAcciones(java.lang.String dtd)` Constructor por parámetro.

Method Summary
`void` | `escribir(java.lang.Object o, java.lang.String archivo)` Método que escribe el contenido de un objeto en un fichero XML.
`javax.swing.tree.DefaultTreeModel` | `leer(java.lang.String filename)` El método leer recupera un arbol de acciones de una alternativa, con la información almacenada en el documento XML.

Methods inherited from class eia.util.xml.XMLTools
`getDtd, readFile, setDtd, writeFile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLAcciones

    public XMLAcciones(java.lang.String dtd)

  Constructor por parámetro.

  Parameters:
    `dtd` - DTD a asignar.

Method Detail

### leer

    public javax.swing.tree.DefaultTreeModel leer(java.lang.String filename)

  El método leer recupera un arbol de acciones de una alternativa, con la información almacenada en el documento XML.

  Specified by:
    `leer` in class `XMLTools`
  Parameters:
    `filename` - Ruta del fichero xml.
  Returns:
    Árbol de acciones con los datos cargados.

### escribir

    public void escribir(java.lang.Object o,
                         java.lang.String archivo)

  Description copied from class: `XMLTools`
  Método que escribe el contenido de un objeto en un fichero XML.

  Specified by:
    `escribir` in class `XMLTools`
  Parameters:
    `o` - Objeto que contiene la informacion a guardar en el fichero XML.
    `archivo` - Ruta del fichero XML donde se guardara la informacion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD